<?php

define('AES_API_VERSION', '2.0.0');

define('ACTIVITEIT_SOORT_AES', 0);
define('ACTIVITEIT_SOORT_UU', 1);
define('ACTIVITEIT_SOORT_ZUS', 2);
define('ACTIVITEIT_SOORT_LAND', 3);
define('ACTIVITEIT_SOORT_COM', 4);
define('ACTIVITEIT_SOORT_EXT', 5);

define('SESSIE_STATUS_NIET_INGELOGD', 0);
define('SESSIE_STATUS_INGELOGD', 1);
define('SESSIE_STATUS_LOGIN_MISLUKT', 2);

define('ADRES_SOORT_THUIS', 0);
define('ADRES_SOORT_OUDERS', 1);
define('ADRES_SOORT_WERK', 2);
define('ADRES_SOORT_POST', 3);
define('ADRES_SOORT_BEZOEK', 4);
define('ADRES_SOORT_FACTUUR', 5);

define('COMMISSIE_SOORT_CIE', 0);
define('COMMISSIE_SOORT_GROEP', 1);
define('COMMISSIE_SOORT_DISPUUT', 2);

define('LID_TOESTAND_BIJNALID', 0);
define('LID_TOESTAND_LID', 1);
define('LID_TOESTAND_OUDLID', 2);
define('LID_TOESTAND_BAL', 3);
define('LID_TOESTAND_LIDVANVERDIENSTE', 4);
define('LID_TOESTAND_ERELID', 5);
define('LID_TOESTAND_GESCHORST', 6);
define('LID_TOESTAND_BEESTJE', 7);

define('LID_STUDIE_FASE_BACHELOR', 0);
define('LID_STUDIE_FASE_MASTER', 1);

define('LID_STUDIE_STATUS_STUDEREND', 0);
define('LID_STUDIE_STATUS_ALUMNUS', 1);
define('LID_STUDIE_STATUS_GESTOPT', 2);

define('TELNR_SOORT_THUIS', 0);
define('TELNR_SOORT_MOBIEL', 1);
define('TELNR_SOORT_WERK', 2);
define('TELNR_SOORT_OUDERS', 3);
define('TELNR_SOORT_RECEPTIE', 4);
define('TELNR_SOORT_FAX', 5);

//rechtensysteem
//rechten categorieën
define('RECHTEN_CATEGORIE_MAG_SECTIE_BEKIJKEN', 0x08000000);

define('RECHTEN_SECTIE_ACTIVITEITEN', 1 << 16);
define('RECHTEN_SECTIE_LEDEN', 2 << 16);

define('RECHTEN_RECHT_ACTIVITEITEN_MAG_BEKIJKEN', RECHTEN_CATEGORIE_MAG_SECTIE_BEKIJKEN | RECHTEN_SECTIE_ACTIVITEITEN);
define('RECHTEN_RECHT_ACTIVITEITEN_MAG_KAARTJES_SCANNEN', RECHTEN_SECTIE_ACTIVITEITEN | 1);
define('RECHTEN_RECHT_ACTIVITEITEN_MAG_FOTOS_BEKIJKEN', RECHTEN_SECTIE_ACTIVITEITEN | 2);
define('RECHTEN_RECHT_ACTIVITEITEN_MAG_COMPUTER_RESERVERINGEN_BEKIJKEN', RECHTEN_SECTIE_ACTIVITEITEN | 3);

define('RECHTEN_RECHT_LEDEN_MAG_BEKIJKEN', RECHTEN_CATEGORIE_MAG_SECTIE_BEKIJKEN | RECHTEN_SECTIE_LEDEN);


$RECHTEN_LIJST_NIET_INGELOGD = array(
		RECHTEN_RECHT_ACTIVITEITEN_MAG_BEKIJKEN,
		RECHTEN_RECHT_ACTIVITEITEN_MAG_KAARTJES_SCANNEN
);

$RECHTEN_LIJST_INGELOGD_LID = array_merge($RECHTEN_LIJST_NIET_INGELOGD, array(
		RECHTEN_RECHT_ACTIVITEITEN_MAG_FOTOS_BEKIJKEN,
		
		RECHTEN_RECHT_LEDEN_MAG_BEKIJKEN
));

?>
